@import "src/styles/colors.scss";

$colors: 'primary' $radiance $radiance-80 $radiance-60 $white,
'success' $lima $lima-80 $lima-60 $white,
'warning' $pumpkin $pumpkin-80 $pumpkin-60  $white,
'error' $scarlet $scarlet-80 $scarlet-60 $white;

.Button {
  display: grid;
  grid-auto-flow: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 20px;
  min-width: 100px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color .3s ease-in-out;
  @each $name, $baseColor, $hoverColor, $activeColor, $textColor in $colors {
    &--#{$name} {
      background-color: $baseColor;
      color: $textColor;

      svg {
        fill: $textColor;
      }

      &:hover {
        background-color: $hoverColor;

        svg {
          fill: $textColor;
        }
      }

      &:active {
        background-color: $activeColor;

        svg {
          fill: $textColor;
        }
      }
    }
  }
}
